v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/shipments/{shipmentId}/kits
Adds kits to an order shipment. Rights: OrsInventoryPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- */*
Root Schema : schema
Type:
objectRequest object containing kits to be added to shipment.
Show Source
-
kits(required): array
kits
Minimum Number of Items:
1Contains kit IDs -
nsKits: array
nsKits
Contains kit IDs.
-
shipmentId: string
(uuid)
ID of the shipment.
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Contains kit IDs
Show Source
-
Array of:
string(uuid)
Example:
e39ff55a-4455-43a3-8d51-3325664f0b2d
Nested Schema : nsKits
Type:
arrayContains kit IDs.
Show Source
-
Array of:
object ShipmentAddNonSerializedKitRequest
Request object containing non serialized kits to be added to shipment.
Nested Schema : ShipmentAddNonSerializedKitRequest
Type:
objectRequest object containing non serialized kits to be added to shipment.
Show Source
-
kitTypeSrcId: string
(uuid)
ID OF THE KIT
-
lotId: string
(uuid)
ID of the lot.
-
quantity(required): number
(BigDecimal)
Minimum Value:
1Maximum Value:9999Quantity of kitsExample:24
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object